
%define url_ver %(echo %{version} | cut -c 1-3)

Summary:	A simple CD burning tool for the Xfce Desktop Environment
Summary(de):	Einfaches Brennprogramm für Xfce
Name:		xfburn
Version:	0.7.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/XFCE
URL:		http://www.xfce.org/projects/xfburn/
Source0:	http://archive.xfce.org/src/apps/xfburn/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(exo-2)
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	pkgconfig(libburn-1)
BuildRequires:	pkgconfig(libisofs-1)
BuildRequires:	pkgconfig(libbluray)
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfconf-0)
BuildRequires:	%{_lib}xml2-devel

Provides:	%{name} = %{version}
Requires:	%{_lib}burn4
Requires:	%{_lib}isofs6
Requires:	gstreamer1.0-plugins-base
Obsoletes:	%{name} < %{version}

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Xfburn is a simple CD/DVD burning tool based on libburnia 
libraries. It can blank CD-RWs, burn and create iso images, 
as well as burn personal compositions of data to either CD or DVD.

%description -l de
Xfburn ist ein einfachen CD/DVD Brennwerkzeug, welches auf libburnia basiert.
Es kann CD-RWs löschen, ISO-Abbilder erzeugen und brennen und genauso
persönliche Zusammenstellungen von Daten auf CD oder DVD brennen.

%prep
%setup -q

%build

%configure2_5x \
	--disable-static
%make_build

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
cp -f icons/scalable/stock_xfburn-burn-cd.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Archiving-CDBurning" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig
%update_menus &> /dev/null ||:
%update_desktop_database &> /dev/null ||:
%update_mime_database &> /dev/null ||:
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%clean_menus &> /dev/null ||:''
%clean_desktop_database &> /dev/null ||:''
%clean_mime_database &> /dev/null ||:''
%clean_icon_cache hicolor


%files
%defattr(-,root,root)
%dir %{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/*.ui
%{_datadir}/Thunar/sendto/thunar-sendto-xfburn.desktop
%{_iconsdir}/hicolor/*
%{_mandir}/man1/*
%{_datadir}/locale/*
#%{_datadir}/appdata/xfburn.appdata.xml
%{_datadir}/metainfo/org.xfce.xfburn.appdata.xml

%changelog
* Mon Mar 06 2023 tex - 0.7.0-1pclos2023
- new version

* Sun Sep 04 2022 tex - 0.6.2-2pclos2022
- rebuild against updates

* Sun Mar 08 2020 tex - 0.6.2-1pclos2020
- new version

* Sun Nov 03 2019 tex - 0.6.1-1pclos2019
- new version 0.6.1

* Wed Aug 14 2019 onkelho <oh.quait at gmail.com> - 0.5.6-5pclos2019
- new rebuild xfce-4.14

* Mon Jul 29 2019 onkelho <oh.quait at gmail.com> - 0.5.6-4pclos2019
- new ver-rel 4.14pre3

* Tue May 21 2019 onkelho <oh.quait at gmail.com> 0.5.6-3pclos2019
- rebuild for -pre-rel 4.14.pre1

* Mon Jan 28 2019 onkelho <oh.quait at gmail.com> 0.5.6-2pclos2019
- rebuild

* Sun Dec 16 2018 onkelho <oh.quait at gmail.com> 0.5.6-1pclos2018
- new ver-rel ported to gtk+3

* Thu Nov 01 2018 onkelho <oh.quait at gmail.com> 0.5.5-6quait2018
- rebuild

* Fri Jul 27 2018 onkelho <oh.quait at gmail.com> 0.5.5-5pclos2018
- rebuild

* Tue Mar 06 2018 onkelho <oh.quait at gmail.com> 0.5.5-4pclos2018
- new ver rel

* Fri Dec 01 2017 onkelho <oh.quait at gmail.com> 0.5.5-3pclos2017
- rebuild

* Sat Sep 23 2017 onkelho <oh.quait at gmail.com> 0.5.5-2pclos2017
- rebuild --many i18updates
- newer libburn

* Wed Aug 02 2017 onkelho <oh.quait at gmail.com> 0.5.5-1pclos2017
- new released rebuild

* Sun May 17 2015 ghostbunny <ghostbunny at gmx dot de> 0.5.4-1pclos2015
- 0.5.4
- update deps to gstreamer 1.0
- remove old libxfcegui4 dep

* Sat Mar 07 2015 ghostbunny <ghostbunny at gmx dot de> 0.5.2-2pclos2015
- rebuild against new libxfce4util7

* Thu Apr 10 2014 ghostbunny <ghostbunny at gmx dot de> 0.5.2-1pclos2014
- 0.5.2

* Mon Feb 24 2014 ghostbunny <ghostbunny at gmx dot de> 0.5.0-1pclos2014
- 0.5.0
- remove patch (applied in source)
- fix BRs

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 0.4.3-5pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 0.4.3-5pclos2012
- process

* Thu Aug 30 2012 ghostbunny <ghostbunny at gmx dot de> 0.4.3-5pclos2012
- rebuild against new libxfce4util
- added german summary and description
- added patch from mdv

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 0.4.3-4pclos2012
- rebuild

* Wed Jan 26 2011 Sproggy <desproggster@gmail.com> 0.4.3-3pclos2010
- updated for xfce4.8

* Mon Nov 08 2010 Sproggy <desproggster@gmail.com> 0.4.3-1mdv2010
- initial build for PCLOS xfce4.8pre1
